footer {
    width: 100%;
    flex-direction: column;
    display: grid;
    text-align: center;
}

footer>section {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    align-items: center;
}

footer>section>div {
    background-color: var(--background-color);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    row-gap: 15px;
    padding: 20px;
    color: var(--primary-color);
    cursor: pointer;
    height: 200px;
    font-size: medium;
    transition: all 300ms ease;
    border-top: 1px solid var(--primary-color);
    border-bottom: 1px solid var(--primary-color);
}

footer>section>div:hover {
    transform: scale(1.02);
    box-shadow: var(--shadow);
}
/* uso de "rem" para padronização*/
footer>section>div>i {
    font-size: 2.5rem;
}

footer>section>div>h3 {
    font-size: 2rem;
}

footer>section>div>p,address {
    font-size: 1rem;
}


footer>section>div:nth-child(2), div:nth-child(4) {
    background-color: var(--primary-color);
    color: white;
    border-color: var(--primary-color);
}

footer>p>small {
    color: var(--text-color);
}

footer>p>small>a {
    color: var(--primary-color);
}


.direitos {
    margin-top: 50px;
}

@media (max-width: 700px) {

    footer > section {
        grid-template-columns: repeat(2, 1fr);
    }

    footer address {
        font-size: 0.6rem;
    }

    footer>section>div:hover {
        box-shadow: none;
    }

    footer>section>div>i {
        font-size: 2rem;
    }

    footer>section>div>h3 {
        font-size: 1.2rem;
    }

    footer>section>div>p,address {
        font-size: 0.8rem;
    }
}